classification
Title: Windows installer in AllUsers mode presents wrong installation path
Type: behavior Stage: resolved
Components: Installation, Windows Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: steve.dower Nosy List: chrullrich, paul.moore, python-dev, steve.dower, tim.golden, zach.ware
Priority: normal Keywords:

Created on 2015-09-18 08:13 by chrullrich, last changed 2015-10-11 22:38 by steve.dower. This issue is now closed.

Messages (3)
msg250955 - (view) Author: Christian Ullrich (chrullrich) * Date: 2015-09-18 08:13
When run with InstallAllUsers=1, the Windows installer displays (%LOCALAPPDATA%)\Programs\Python\Python35 as the installation target directory, but actually installs into the path for a system-wide installation, "%PROGRAMFILES%\Python 3.5".

Ceterum censeo: This bug could have been avoided, and would certainly have been detected in time, by using MSI as the distribution package format. Because most MSI UI will display TARGETDIR as the target directory, an accidental override (or missing override) of this path would have been obvious.
msg251381 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-09-23 01:14
Just an incorrect variable reference in the localization file. Should be easy enough to fix (if the variable is initialized at the start of installation...)
msg252827 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-10-11 22:38
New changeset 919b1dffa741 by Steve Dower in branch '3.5':
Issue #25163: Display correct directory in installer when using non-default settings.
https://hg.python.org/cpython/rev/919b1dffa741

New changeset 6f97c51b6dc5 by Steve Dower in branch 'default':
Issue #25163: Display correct directory in installer when using non-default settings.
https://hg.python.org/cpython/rev/6f97c51b6dc5
History
Date User Action Args
2015-10-11 22:38:15steve.dowersetstatus: open -> closed
resolution: fixed
stage: resolved
2015-10-11 22:38:03python-devsetnosy: + python-dev
messages: + msg252827
2015-09-23 01:14:34steve.dowersetassignee: steve.dower
messages: + msg251381
2015-09-18 08:13:20chrullrichcreate